package com.kingdee.eas.custom.performancenew;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.performancenew.app.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PersonRelationOrg extends DataBase implements IPersonRelationOrg
{
    public PersonRelationOrg()
    {
        super();
        registerInterface(IPersonRelationOrg.class, this);
    }
    public PersonRelationOrg(Context ctx)
    {
        super(ctx);
        registerInterface(IPersonRelationOrg.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("96A6E200");
    }
    private PersonRelationOrgController getController() throws BOSException
    {
        return (PersonRelationOrgController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public PersonRelationOrgInfo getPersonRelationOrgInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonRelationOrgInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public PersonRelationOrgInfo getPersonRelationOrgInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonRelationOrgInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public PersonRelationOrgInfo getPersonRelationOrgInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonRelationOrgInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public PersonRelationOrgCollection getPersonRelationOrgCollection() throws BOSException
    {
        try {
            return getController().getPersonRelationOrgCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public PersonRelationOrgCollection getPersonRelationOrgCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPersonRelationOrgCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public PersonRelationOrgCollection getPersonRelationOrgCollection(String oql) throws BOSException
    {
        try {
            return getController().getPersonRelationOrgCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}